﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VRBankAPI.AccountList.Response
{
    public class Vertragsgegenstaende
    {
        public string nummer { get; set; }
        public string bezeichnung { get; set; }
        public string produktnummer { get; set; }
        public int sparte { get; set; }
        public int zuordnung { get; set; }
        public string waehrung { get; set; }
        public List<string> erlaubteGeschaeftsvorfaelle { get; set; }
        public string iban { get; set; }
        public double kapitalsaldo { get; set; }
        public double verfuegbarerBetragIZV { get; set; }
        public double verfuegbarerBetragAZV { get; set; }
        public List<object> referenzkonten { get; set; }
        public bool freieEmpfDatenEingabeZulaessig { get; set; }
        public bool terminZulaessig { get; set; }
        public bool darfIntraday { get; set; }
    }

    public class PersonenListe
    {
        public string kundennummer { get; set; }
        public string name { get; set; }
        public List<Vertragsgegenstaende> vertragsgegenstaende { get; set; }
    }

    public class Status
    {
        public string code { get; set; }
        public List<object> meldungen { get; set; }
    }

    public class RootObject
    {
        public string beraterName { get; set; }
        public List<PersonenListe> personenListe { get; set; }
        public Status status { get; set; }
    }
}
