﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VRBankAPI.TransactionList.Response
{
    public class Umsaetze
    {
        public int laufendeNummer { get; set; }
        public string buchungsdatum { get; set; }
        public string eigenerName { get; set; }
        public string fremderBeteiligterName { get; set; }
        public string fremderBeteiligterKontonummer { get; set; }
        public string fremderBeteiligterBLZ { get; set; }
        public string valuta { get; set; }
        public string buchungstext { get; set; }
        public double betrag { get; set; }
        public List<string> verwendungszwecke { get; set; }

        public override string ToString()
        {
            StringBuilder response = new StringBuilder();
            var amtmp = this.betrag + " €";
            response.Append(amtmp);
            response.Append(amtmp.Length < 9 ? "\t\t" : "\t");
            response.Append(this.fremderBeteiligterName);

            return response.ToString();
        }
    }

    public class Status
    {
        public string code { get; set; }
        public List<object> meldungen { get; set; }
    }

    public class RootObject
    {
        public List<Umsaetze> umsaetze { get; set; }
        public bool hasNext { get; set; }
        public Status status { get; set; }
    }
}
