﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VRBankAPI.Login.Response
{
    public class Bank
    {
        public string bankname { get; set; }
        public string bankname1 { get; set; }
        public string bankname2 { get; set; }
        public string facebookUrl { get; set; }
        public bool bietetAnBrokerage { get; set; }
        public bool bietetAnAuftraggebernameModifizierbar { get; set; }
        public bool bietetAnSEPAUeberweisung { get; set; }
        public bool bietetAnSmartTANplusFlicker { get; set; }
        public bool bietetAnBrokerageNextGeneration { get; set; }
        public bool isMeineBankVerfuegbar { get; set; }
        public bool bietetAnIZVUeberweisung { get; set; }
        public bool bietetAnKtoBlzTrotzSEPA { get; set; }
        public bool bietetAnIbanOnly { get; set; }
    }

    public class Person
    {
        public string name { get; set; }
        public string kundennummer { get; set; }
        public string geburtsdatum { get; set; }
        public bool inkorrekteLetzteAbmeldung { get; set; }
    }

    public class Meldungen
    {
        public string kategorie { get; set; }
        public string text { get; set; }
    }

    public class Status
    {
        public string code { get; set; }
        public List<Meldungen> meldungen { get; set; }
    }

    public class RootObject
    {
        public Bank bank { get; set; }
        public Person person { get; set; }
        public string anmeldeZeitpunkt { get; set; }
        public string eBankingVersion { get; set; }
        public Status status { get; set; }
    }
}
