﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VRBankAPI;

namespace VRBankAPITest
{
    class Program
    {
        static void Main(string[] args)
        {
            VRBankAPI.VRBankAPI api = new VRBankAPI.VRBankAPI(true);

            api.Login("goseiknight", "123456");
            var vystup = api.GetAccounts();
            var firstAccount = ((VRBankAPI.AccountList.Response.RootObject)vystup).personenListe.First().vertragsgegenstaende.First();
            var transactions = ((VRBankAPI.TransactionList.Response.RootObject)api.GetTransactionLog(firstAccount));
            api.Logout();

            Console.WriteLine("Balance: "+firstAccount.kapitalsaldo + " €");
            Console.WriteLine(Environment.NewLine+"Last transactions");
            Array.ForEach(transactions.umsaetze.ToArray(), x=>Console.WriteLine(x));
        }
    }
}
